Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1316896 - rpm: Out-of-bounds heap read triggered by crafted RPM file
rpm: Out-of-bounds heap read triggered by crafted RPM file
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160421,reported=2...
: Security
Depends On: 1329123
Blocks: 1316905
  Show dependency treegraph
 
Reported: 2016-03-11 07:29 EST by Adam Mariš
Modified: 2018-09-09 15:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-25 10:31:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-03-11 07:29:52 EST
Out-of-bounds heap read in rpmtdGetNumber triggered by crafted RPM file was found.
Comment 1 Adam Mariš 2016-03-11 07:29:58 EST
Acknowledgments:

Name: Hanno Boeck
Comment 5 Cedric Buissart 2016-04-21 05:17:22 EDT
Created rpm tracking bugs for this issue:

Affects: fedora-all [bug 1329123]
Comment 7 Cedric Buissart 2016-04-25 10:24:29 EDT
Fixed upstream by commit b722cf86 : 
https://github.com/rpm-software-management/rpm/commit/b722cf86
Comment 8 Cedric Buissart 2016-04-25 10:30:40 EDT
Red Hat Product Security has determined this issue is not planned to be fixed. If a customer is requesting this fix, please attach any customer contact cases to the bug and email secalert@redhat.com to inform us of the customer request. Product Security will re-open issues with significant customer interest provided they are within support scope.
Comment 9 Fedora Update System 2016-04-26 16:52:50 EDT
rpm-4.13.0-0.rc1.13.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-05-07 07:53:51 EDT
rpm-4.13.0-0.rc1.27.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-05-21 22:20:28 EDT
rpm-4.12.0.1-17.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Lamos Ding 2018-09-09 15:25:07 EDT
Well done!
https://pineconellc.github.io/

Note You need to log in before you can comment on or make changes to this bug.